//
//  UpcomingCountHttpPostCmd.m
//  MobilePortal
//
//  Created by caiyang on 2020/5/6.
//  Copyright © 2020 yin chen. All rights reserved.
//

#import "UpcomingCountHttpPostCmd.h"
#import "UpcomingCountHttpResult.h"
static NSString *kActionUrl1 = @"/newdealt/queryAllDealtCount";

@implementation UpcomingCountHttpPostCmd

-(instancetype)initWithVersion:(NSString *)version{
    if ([version isEqualToString:PHttpVersion_v1]) {
        return [[UpcomingCountHttpPostCmd alloc]initWithAuthorizationState:AuthorizationNull];
    }else{
        NSAssert(NO, @"Invalid version");
    }
    return nil;
}

- (instancetype)initWithAuthorizationState:(AuthorizationState)state{
    self = [super initWithAuthorizationState:state];
    if (self != nil) {
        self.result = [[UpcomingCountHttpResult alloc]init];
    }
    return self;
}

- (NSString *)getActionUrl{
    
    return kActionUrl1;
}
@end
NSString *const kHttpUpcomingCountHttpPostCmd_targetid = @"targetid";
NSString *const kHttpUpcomingCountHttpPostCmd_empuid = @"empuid";

